import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for ScanEvent
void main() {
  final instance = ScanEventBuilder();
  // TODO add properties to the builder and call build()

  group(ScanEvent, () {
    // AuditAction action
    test('to test the property `action`', () async {
      // TODO
    });

    // Fahrzeug, in dem der Scan gemacht wurde. Muss zum angemeldeten Account gehören. `None` ist erlaubt, schwächt aber den Audit-Trail.
    // String actorCarId
    test('to test the property `actorCarId`', () async {
      // TODO
    });

    // String clientScanId
    test('to test the property `clientScanId`', () async {
      // TODO
    });

    // DateTime clientScannedAt
    test('to test the property `clientScannedAt`', () async {
      // TODO
    });

    // String deliveryItemId
    test('to test the property `deliveryItemId`', () async {
      // TODO
    });

    // Pflicht bei `Hold` und `Remove`. Sonst ignoriert.
    // String reason
    test('to test the property `reason`', () async {
      // TODO
    });

  });
}
